package DE_EPAGES::Shop::t::PublicInfoResource; ## no critic (RequireCommentForExportedFunctions)
use base DE_EPAGES::Shop::API::Test;

use strict;
use Data::Dumper;
use DE_EPAGES::Object::API::Factory qw ( LoadRootObject );
use DE_EPAGES::Object::API::Language qw ( GetPKeyLanguageByCode );
use DE_EPAGES::Shop::API::Resource::PublicInfoResource;
use Test::More;

sub init {
    my $self = shift;

    $self->SUPER::init;

    # set up test data
    my $Shop = $self->shop;
    $Shop->set({
        'Name' => 'My Shop',
        'Slogan' => 'My Slogan',
        'Logo'   => 'logo.png'
    }, GetPKeyLanguageByCode('en') );
}

sub test {
    my $self = shift;

    my $Shop = $self->shop;
    my $ImageBaseURL = LoadRootObject()->get('ProtocolAndServerSSL') . $Shop->get('WebPath') . '/';
    my $Resource = DE_EPAGES::Shop::API::Resource::PublicInfoResource->new;

    my $hResult = $Resource->get($Shop, 'en_GB');
    is_deeply $hResult, {
        name => 'My Shop',
        slogan => 'My Slogan',
        logo => {
            'url' => $ImageBaseURL . 'logo.png',
            'classifier' => 'Small'
        }
    }, 'GET basic-content' or diag Dumper($hResult);
}

__PACKAGE__->runScript;
done_testing;
